package impl

import (
	"ai_scheduler/internal/data/model"
	"ai_scheduler/tmpl/dataTemp"
	"ai_scheduler/utils"
)

type ReportDailyCacheImpl struct {
	dataTemp.DataTemp
}

func NewReportDailyCacheImpl(db *utils.Db) *ReportDailyCacheImpl {
	return &ReportDailyCacheImpl{
		DataTemp: *dataTemp.NewDataTemp(db, new(model.AiReportDailyCache)),
	}
}
